gnutls_db_set_cache_expiration(3)

NAME
gnutls_db_set_cache_expiration - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_db_set_cache_expiration(gnutls_session_t session, int seconds);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

int seconds
    is the number of seconds.

DESCRIPTION
Set the expiration time for resumed sessions. The default is 21600 (size hours) at the time of writing. The maximum value that can be set using this function is 604800 (7 days).

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/